Create a new IRRF command
curl --request POST \
--url http://0.0.0.0:3000/v1/irrf-commands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "sensor.tv_sala",
"command_name": "power",
"code": "0000 006C...",
"remote_entity_id": "remote.ir_blaster"
}
'import requests
url = "http://0.0.0.0:3000/v1/irrf-commands"
payload = {
"entity_id": "sensor.tv_sala",
"command_name": "power",
"code": "0000 006C...",
"remote_entity_id": "remote.ir_blaster"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: 'sensor.tv_sala',
command_name: 'power',
code: '0000 006C...',
remote_entity_id: 'remote.ir_blaster'
})
};
fetch('http://0.0.0.0:3000/v1/irrf-commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"entity_registry_id": 5,
"config_entry_id": 2,
"command_name": "power",
"code": "0000 006C 0022 0002...",
"remote_entity_id": "remote.ir_blaster",
"user_id": "user_abc123"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"message": "not found"
}IRRF Commands
Create a new IRRF command
POST
/
v1
/
irrf-commands
Create a new IRRF command
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I